##########################################################################################################
## Program: Master
## Description: runs all cleaning and analyses scripts, taking raw data to formatted tables
##########################################################################################################

# user set path
path <- ""

# relative paths assume given subdirectory structure
codeDir <- paste0(path, "Code/")
dataDir <- paste0(path, "RawData/")
cleanDir <- paste0(path, "Output/")
tabDir <- paste0(path, "TablesFigures/")

source(paste0(codeDir, "utilities.R"), chdir = TRUE)

##########################################################################################################
## Cleaning

# Student-Level Data
source(paste0(codeDir, "buildStudentFiles.R"))

# SYEP Application Data
source(paste0(codeDir, "buildSYEPApp.R"))

# Regents Exams
source(paste0(codeDir, "buildRegentsExamScores.R"))

# Build Cleaned Datasets for Analysis
source(paste0(codeDir, "buildBaseDT.R"))

##########################################################################################################
## Analyses

# Descriptive Tables
source(paste0(codeDir, "analysisDescr.R"))

# Regression and Expected Benefit Analyses
source(paste0(codeDir, "analysisReg.R"))

##########################################################################################################
## Format Tables

source(paste0(codeDir, "figuresTables.R"))